package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.audit.entity.IntProvinceIrregular;
import org.springblade.audit.mapper.IntProvinceIrregularMapper;
import org.springblade.audit.service.IIntProvinceIrregularService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 不规范定制处罚明细数据 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Service
@DS("oracle143")
public class IntProvinceIrregularServiceImpl extends ServiceImpl<IntProvinceIrregularMapper, IntProvinceIrregular> implements IIntProvinceIrregularService {

	@Autowired
	private IntProvinceIrregularMapper intProvinceIrregularMapper;

	@Override
	public void giveSpidSoul(String theMonth) {
		intProvinceIrregularMapper.giveSpidSoul(theMonth);
	}

	@Override
	public void giveSpidSoulTwo(String theMonth) {
		intProvinceIrregularMapper.giveSpidSoulTwo(theMonth);
	}

	@Override
	public void deleteRepeatData(String theMonth) {
		intProvinceIrregularMapper.deleteRepeatData(theMonth);
	}

	@Override
	public void settingFileTag(String theMonth) {
		intProvinceIrregularMapper.settingFileTag(theMonth);
	}
}
